/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.progress {
  background-color: darken($white, 10%);
  border-radius: $global-border-radius;
  display: flex;
  font-size: $font-size-base;
  height: 1rem;
  margin-top: $margin-base-y;
  overflow: hidden;
  position: relative;

  &.plos {
    animation: progressbarAnim 1.5s steps(15) infinite;
    background-image: repeating-linear-gradient(135deg, darken($white, 10%), darken($white, 10%) 5rem, darken($white, 12%) 5rem, darken($white, 12%) 10rem) !important;
    background-size: 15rem;
  }
}

.progress-bar {
  
  @include bkg-degrade(lighten($primary, 20%), 'to right');

  background-color: $primary;
  border-radius: $global-border-radius;
  color: $white;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  text-align: center;
  
  
  &:not(:first-child):not(:last-child) {
    border-radius: 0;
  }
  
  &:first-child:not(:last-child) {
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
  }

  &:last-child:not(:first-child) {
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
  }
  
  &.loading {
    @extend .anim-moviment-detailed;
    animation: loadingProgressbar 2s infinite;
    position: absolute !important;
    width: 50%;
  }

  @each $themeName, $value in $theme-colors {
    &.#{$themeName} {
      @include bkg-degrade(lighten($value, 20%), 'to right');
      
      &.plos {
        animation: progressbarAnim 1.5s steps(15) infinite;
        background-image: repeating-linear-gradient(135deg, lighten($value, 10%), lighten($value, 10%) 5rem, $value 5rem, $value 10rem);
        background-size: 15rem;
      }
    }
  }
}
